import * as i0 from '@angular/core';
import { Injectable, Component, Input, NgModule } from '@angular/core';
import * as i1 from '@angular/common/http';
import * as i2 from '@angular/common';
import { CommonModule } from '@angular/common';

class ComponentsService {
    constructor() { }
}
ComponentsService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ComponentsService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
ComponentsService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ComponentsService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ComponentsService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return []; } });

class ComponentsComponent {
    constructor(http) {
        this.http = http;
        this.apiUrlRoot = 'https://menu.show/api';
        this._username = '';
        this._currencyCode = '';
        this._display = '';
        this._digitsInfo = '';
    }
    get username() {
        return this._username;
    }
    set username(s) {
        this._username = s;
    }
    get currencyCode() {
        return this._currencyCode;
    }
    set currencyCode(s) {
        this._currencyCode = s;
    }
    get display() {
        return this._display;
    }
    set display(s) {
        this._display = s;
    }
    get digitsInfo() {
        return this._digitsInfo;
    }
    set digitsInfo(s) {
        this._digitsInfo = s;
    }
    ngOnInit() {
        this.menuItems = this.http.get(`${this.apiUrlRoot}/menu/${this.username}`);
    }
}
ComponentsComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ComponentsComponent, deps: [{ token: i1.HttpClient }], target: i0.ɵɵFactoryTarget.Component });
ComponentsComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.3.11", type: ComponentsComponent, selector: "fillet-menu", inputs: { username: "username", currencyCode: "currencyCode", display: "display", digitsInfo: "digitsInfo" }, ngImport: i0, template: "<table *ngIf=\"this.menuItems | async; else loading\">\n  <thead>\n  <tr>\n    <th scope=\"col\">#</th>\n    <th scope=\"col\" i18n=\"@@valkyrie.name\">Name</th>\n    <th scope=\"col\" i18n=\"@@valkyrie.price\">Price</th>\n  </tr>\n  </thead>\n  <tbody>\n  <tr *ngFor=\"let menuItem of (this.menuItems | async); let i = index;\">\n    <th scope=\"row\">{{ i + 1 }}</th>\n    <td>{{ menuItem.name }}</td>\n    <td>{{ menuItem.price | currency:currencyCode:display:digitsInfo }}</td>\n  </tr>\n  </tbody>\n</table>\n<ng-template #loading>\n  <ng-container i18n=\"@@valkyrie.loading\">Loading menu&hellip;</ng-container>\n</ng-template>\n", directives: [{ type: i2.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { type: i2.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }], pipes: { "async": i2.AsyncPipe, "currency": i2.CurrencyPipe } });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ComponentsComponent, decorators: [{
            type: Component,
            args: [{ selector: 'fillet-menu', styles: [], template: "<table *ngIf=\"this.menuItems | async; else loading\">\n  <thead>\n  <tr>\n    <th scope=\"col\">#</th>\n    <th scope=\"col\" i18n=\"@@valkyrie.name\">Name</th>\n    <th scope=\"col\" i18n=\"@@valkyrie.price\">Price</th>\n  </tr>\n  </thead>\n  <tbody>\n  <tr *ngFor=\"let menuItem of (this.menuItems | async); let i = index;\">\n    <th scope=\"row\">{{ i + 1 }}</th>\n    <td>{{ menuItem.name }}</td>\n    <td>{{ menuItem.price | currency:currencyCode:display:digitsInfo }}</td>\n  </tr>\n  </tbody>\n</table>\n<ng-template #loading>\n  <ng-container i18n=\"@@valkyrie.loading\">Loading menu&hellip;</ng-container>\n</ng-template>\n" }]
        }], ctorParameters: function () { return [{ type: i1.HttpClient }]; }, propDecorators: { username: [{
                type: Input
            }], currencyCode: [{
                type: Input
            }], display: [{
                type: Input
            }], digitsInfo: [{
                type: Input
            }] } });

class ComponentsModule {
}
ComponentsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ComponentsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
ComponentsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ComponentsModule, declarations: [ComponentsComponent], imports: [CommonModule], exports: [ComponentsComponent] });
ComponentsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ComponentsModule, imports: [[
            CommonModule
        ]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.11", ngImport: i0, type: ComponentsModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        ComponentsComponent
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        ComponentsComponent
                    ]
                }]
        }] });

/*
 * Public API Surface of components
 */

/**
 * Generated bundle index. Do not edit.
 */

export { ComponentsComponent, ComponentsModule, ComponentsService };
//# sourceMappingURL=ngx-valkyrie.mjs.map
