import { OnInit } from '@angular/core';
import { HttpClient } from "@angular/common/http";
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export interface MenuItem {
    name: string;
    price: number;
}
export declare class ComponentsComponent implements OnInit {
    http: HttpClient;
    readonly apiUrlRoot = "https://menu.show/api";
    get username(): string;
    set username(s: string);
    private _username;
    get currencyCode(): string;
    set currencyCode(s: string);
    private _currencyCode;
    get display(): string;
    set display(s: string);
    private _display;
    get digitsInfo(): string;
    set digitsInfo(s: string);
    private _digitsInfo;
    menuItems?: Observable<MenuItem[]>;
    constructor(http: HttpClient);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ComponentsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ComponentsComponent, "fillet-menu", never, { "username": "username"; "currencyCode": "currencyCode"; "display": "display"; "digitsInfo": "digitsInfo"; }, {}, never, never>;
}
